summaryrefslogtreecommitdiff
path: root/qa/052
diff options
context:
space:
mode:
Diffstat (limited to 'qa/052')
-rwxr-xr-xqa/05247
1 files changed, 47 insertions, 0 deletions
diff --git a/qa/052 b/qa/052
new file mode 100755
index 0000000..4f4cc46
--- /dev/null
+++ b/qa/052
@@ -0,0 +1,47 @@
+#! /bin/sh
+# PCP QA Test No. 052
+# pmLoadNameSpace extensions
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard filters
+. ./common.product
+. ./common.filter
+. ./common.check
+
+rm -f $seq.out
+if [ $PCP_VER -lt 3600 ]
+then
+ ln $seq.out.1 $seq.out || exit 1
+else
+ ln $seq.out.2 $seq.out || exit 1
+fi
+
+trap "rm -f $tmp.*; exit" 0 1 2 3 15
+
+# real QA test starts here
+rm -f $tmp.*
+cp src/tiny.pmns $tmp.root
+
+echo "ASCII"
+pminfo -n $tmp.root
+echo ""
+
+if [ $PCP_VER -lt 3600 ]
+then
+ pmnscomp -n $tmp.root $tmp.root.bin
+ echo ""
+
+ echo "Binary, default"
+ pminfo -n $tmp.root
+ echo ""
+
+ echo "Binary, explicit"
+ pminfo -n $tmp.root.bin
+ echo ""
+fi
+